class Bundler::RubygemsIntegration::Legacy

RubyGems 1.4 through 1.6

Public Class Methods

new() click to toggle source
Calls superclass method Bundler::RubygemsIntegration.new
# File lib/bundler/rubygems_integration.rb, line 618
def initialize
  super
  backport_base_dir
  backport_cache_file
  backport_spec_file
  backport_yaml_initialize
end

Public Instance Methods

all_specs() click to toggle source
# File lib/bundler/rubygems_integration.rb, line 637
def all_specs
  Gem.source_index.gems.values
end
find_name(name) click to toggle source
# File lib/bundler/rubygems_integration.rb, line 641
def find_name(name)
  Gem.source_index.find_name(name)
end
post_reset_hooks() click to toggle source
# File lib/bundler/rubygems_integration.rb, line 651
def post_reset_hooks
  []
end
reset() click to toggle source
# File lib/bundler/rubygems_integration.rb, line 655
def reset
end
stub_rubygems(specs) click to toggle source
# File lib/bundler/rubygems_integration.rb, line 626
def stub_rubygems(specs)
  # RubyGems versions lower than 1.7 use SourceIndex#from_gems_in
  source_index_class = (class << Gem::SourceIndex; self; end)
  redefine_method(source_index_class, :from_gems_in) do |*args|
    Gem::SourceIndex.new.tap do |source_index|
      source_index.spec_dirs = *args
      source_index.add_specs(*specs)
    end
  end
end
validate(spec) click to toggle source
# File lib/bundler/rubygems_integration.rb, line 645
def validate(spec)
  # These versions of RubyGems always validate in "packaging" mode,
  # which is too strict for the kinds of checks we care about. As a
  # result, validation is disabled on versions of RubyGems below 1.7.
end